Subject: inferior-octave-mode: Wrong type argument: number-or-marker-p, "100000000000"

From: Damian Nadales <[email-masked]>
Date: Thu, 3 Jul 2014 11:53:33 +0200

Hello,

Whenever I start octave-mode from emacs I got the following error message:
   inferior-octave-mode: Wrong type argument: number-or-marker-p, "100000000000"

Running it for a second time makes the error disappear.

Furthermore, the following error appears randomly (to me at least)
when using the Octave buffer:
   comint-send-input: Wrong type argument: number-or-marker-p, "100000000000"

The constant 100000000000 is the same I use to set the history size of
octave in my pam_environment:
   OCTAVE_HISTSIZE DEFAULT=100000000000

But I don't know how is this related to the error I got.

What could be happening?